org.apache.ignite.internal

## Class IgniteDiagnosticMessage.TxEntriesInfoClosure

- java.lang.Object
- - org.apache.ignite.internal.IgniteDiagnosticMessage.DiagnosticBaseClosure
  - - org.apache.ignite.internal.IgniteDiagnosticMessage.TxEntriesInfoClosure

All Implemented Interfaces:
  Serializable, IgniteBiInClosure<StringBuilder,GridKernalContext>

Enclosing class:
  IgniteDiagnosticMessage

    public static final class IgniteDiagnosticMessage.TxEntriesInfoClosure
    extends IgniteDiagnosticMessage.DiagnosticBaseClosure

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(StringBuilder sb, GridKernalContext ctx)` Closure body.
`void` `merge(IgniteDiagnosticMessage.DiagnosticBaseClosure other)`
`Object` `mergeKey()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### apply

    public void apply(StringBuilder sb,
                      GridKernalContext ctx)

Closure body.

Parameters:
  `sb` - First parameter.
  `ctx` - Second parameter.

#### mergeKey

    public Object mergeKey()

Overrides:
  `mergeKey` in class `IgniteDiagnosticMessage.DiagnosticBaseClosure`
Returns:
  Key to group similar messages.

#### merge

    public void merge(IgniteDiagnosticMessage.DiagnosticBaseClosure other)

Overrides:
  `merge` in class `IgniteDiagnosticMessage.DiagnosticBaseClosure`
Parameters:
  `other` - Another closure of the same type.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022